# Class SortedRootedTree

java.lang.Object
jebl.evolution.trees.AbstractRootedTree
jebl.evolution.trees.FilteredRootedTree
jebl.evolution.trees.SortedRootedTree

All Implemented Interfaces:
  `Graph, RootedTree, Tree, Attributable`

public class SortedRootedTree extends FilteredRootedTree

Version:
  $Id: SortedRootedTree.java 627 2007-01-15 03:50:40Z pepster $
Author:
  Andrew Rambaut, Alexei Drummond

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`SortedRootedTree.BranchOrdering`

### Nested classes/interfaces inherited from interface Graph

`Graph.NoEdgeException, Graph.Utils`

## Constructor Summary

Constructors
Constructor
Description
`SortedRootedTree(RootedTree source, Comparator<Node> comparator)`
`SortedRootedTree(RootedTree source, SortedRootedTree.BranchOrdering branchOrdering)`

## Method Summary

Modifier and Type
Method
Description
`List<Node>`
`getChildren(Node node)`

### Methods inherited from class FilteredRootedTree

`conceptuallyUnrooted, getAdjacencies, getAttribute, getAttributeMap, getAttributeNames, getEdge, getEdgeLength, getEdges, getEdges, getExternalEdges, getExternalNodes, getHeight, getInternalEdges, getInternalNodes, getLength, getNode, getNodes, getNodes, getNodes, getParent, getRootNode, getSource, getTaxa, getTaxon, hasHeights, hasLengths, isExternal, isHeightsKnown, isLengthsKnown, isRoot, removeAttribute, renameTaxa, setAttribute`

### Methods inherited from class AbstractRootedTree

`getExternalNodeCount, getExternalNodes`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SortedRootedTree

public SortedRootedTree(RootedTree source, SortedRootedTree.BranchOrdering branchOrdering)

### SortedRootedTree

public SortedRootedTree(RootedTree source, Comparator<Node> comparator)

## Method Details

### getChildren

public List<Node> getChildren(Node node)

Specified by:
  `getChildren` in interface `RootedTree`
Overrides:
  `getChildren` in class `FilteredRootedTree`
Parameters:
  `node` - the node whose children are being requested.
Returns:
  the list of nodes that are the children of the given node. The set may be empty for a terminal node (a tip).